Skip to content
English

Request a device resync

PUT
/domains/{domainID}/users/{userID}/sync/{deviceID}/resync
curl --request PUT \
--url https://example.com/api/v1/domains/1/users/1/sync/example/resync \
--cookie grommunioAuthJwt=<grommunioAuthJwt>
userID
required
integer

ID of the user

domainID
required
integer

ID of the domain

deviceID
required
string

Device ID

X-Csrf-Token
string

CSRF Token

Resync requested

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

The requested resource could not be found

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

The database query failed

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}